Just got my 3ds looking for a flashcard.

Discussion in '3DS - Flashcards & Custom Firmwares' started by liban100, Aug 22, 2011.

Aug 22, 2011
  1. liban100
    OP

    Newcomer liban100 Advanced Member

    Joined:
    May 25, 2011
    Messages:
    93
    Location:
    London
    Country:
    United States
    i just got my 3ds today i want to get a flashcard so far i'm thinking about gettin acekard 2i my 3ds isn't updated yet because i was worried if i had to get a dsi/ds lite to update my acekard so should i update or not btw i live in the uk so can you tell me somewhere i can get it from the uk also i got a sd card with it can i put videos inside it?
     
  2. chemistryfreak

    Member chemistryfreak GBAtemp Fan

    Joined:
    Nov 8, 2008
    Messages:
    419
    Country:
    Japan
    Some online shops have already pre-flashed the AK2i to enable it to work on the latest 3DS Firmware.
    I would recommend SuperCard DSTwo as it supports GBA emulation but it is much more expensive than AK2i so if you are not looking for any additional function such as RTS and GBA Emulation then ak2i will be your best choice^^

    Useful link: http://shoptemp.net/products/Acekard-2i-wheretobuy.html
     
  3. cracker

    Member cracker Nyah!

    Joined:
    Aug 24, 2005
    Messages:
    3,133
    Country:
    United States
    Yes definitely get a cart with a processor and RAM onboard (DSTwo and iSmart MM only currently) as they can play a wide range of video formats as well as better emulation, in game menu/app, and more capabilities to maintain support in the future.
     
  4. liban100
    OP

    Newcomer liban100 Advanced Member

    Joined:
    May 25, 2011
    Messages:
    93
    Location:
    London
    Country:
    United States
    My 3ds version is 1.10 somin so do i still have to use dsi/dslite? oh and tnx for that link chemistryfreak im gona get from r4i gold so should i wait till my acekard2i come and update or update now?
     

Share This Page